Package Gnumed :: Package business :: Module gmLOINC :: Class cLOINCMatchProvider |
[frames] | no frames]

# Class cLOINCMatchProvider

source code

                                  object --+
                                           |
     pycommon.gmMatchProvider.cMatchProvider --+
                                               |
    pycommon.gmMatchProvider.cMatchProvider_SQL2 --+
                                                   |
                                                  cLOINCMatchProvider

Instance Methods
getMatchesByPhrase(self, aFragment) Return matches for aFragment at start of phrases. | source code
getMatchesByWord(self, aFragment) Return matches for aFragment at start of words inside phrases. | source code
getMatchesBySubstr(self, aFragment) Return matches for aFragment as a true substring. | source code
Inherited from `pycommon.gmMatchProvider.cMatchProvider_SQL2`: `__init__`, `getAllMatches`, `get_match_by_data` Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `getMatches`, `setThresholds`, `set_context`, `unset_context` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `print_queries`

Properties
Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `ignored_chars`, `word_separators` Inherited from `object`: `__class__`

Method Details

### getMatchesByPhrase(self, aFragment) | source code
Return matches for aFragment at start of phrases. Overrides: pycommon.gmMatchProvider.cMatchProvider.getMatchesByPhrase

### getMatchesByWord(self, aFragment) | source code
Return matches for aFragment at start of words inside phrases. Overrides: pycommon.gmMatchProvider.cMatchProvider.getMatchesByWord

### getMatchesBySubstr(self, aFragment) | source code
Return matches for aFragment as a true substring. Overrides: pycommon.gmMatchProvider.cMatchProvider.getMatchesBySubstr